Subject: bug#21391: 24.5; `thing-at-point' should return a string

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Nov 2016 17:37:08 +0200

> From: Tino Calancha <[email-masked]>
> Date: Sat, 12 Nov 2016 00:05:56 +0900 (JST)
> cc: Dmitry Gutov <[email-masked]>, [email-masked], 
>     [email-masked]
> 
> > I don't understand why.  It's not like we don't have other functions
> > that can return different kinds of objects.
> Yes, and it's a good thing when it results in a simpler code.
> I don't think in this case it makes a simpler code or a code
> easier to follow, kinda the opposite.

I can envision it being used to simplify code as well, but I don't
think this is the important point.

> I don't think we actually need a polymorphic function here with the 
> bizarre behaviour pointed out in my previous email.  Instead of document
> its counter-intuitive behaviour, i would go for fixing the function to do
> just one obvious thing.  It would save the users time reading the manual.
> It's a change for better, a good thing.  We will have a better 
> function.  Everyone will be happy with this.

I understand, but backward compatibility is more important in my eyes.

I can suggest adding a new function, with the features you mention.
We could even deprecate thing-at-point and advise to use the new one
instead.  But I don't see here a reason good enough to change a
long-standing behavior of thing-at-point in backward-incompatible
ways, sorry.